# Cinder

# cinder::app::App::Settings Class Reference

`#include <App.h>`

Inherited by cinder::app::AppBasic::Settings, cinder::app::AppCinderView::Settings, cinder::app::AppCocoaTouch::Settings, and cinder::app::AppScreenSaver::Settings.

List of all members.

## Public Member Functions
bool | isPrepared () const
void | setWindowSize (int aWindowSizeX, int aWindowSizeY)
| width and height of the window when applicable
void | setFrameRate (float aFrameRate)
| The maximum frameRate the update/draw loop will execute at, specified in frames per second. Default value is 30 FPS.
void | enablePowerManagement (bool aPowerManagement=true)
| a value of true allows screensavers or the system's power management to hide the app. Default value is `false`.
bool | isFullScreen () const
| is the application set to run at fullscreen
int | getWindowWidth () const
| width of the application's window specified in pixels
int | getWindowHeight () const
| height of the application's window specified in pixels
Vec2i | getWindowSize () const
| width and height of the application's window specified in pixels
Area | getWindowBounds () const
| the size of the application's window specified in pixels.
void | setTitle (const std::string &title)
| the title of the app reflected in ways particular to the app type and platform (such as its Window or menu)
float | getFrameRate () const
| maximum frameRate of the application specified in frames per second
bool | isResizable () const
| are users allowed to resize the window
bool | getPowerManagement () const
| is power management enabled, allowing screensavers and the system's power management to hide the application
## Protected Member Functions
| Settings ()
virtual | ~Settings ()
## Protected Attributes
bool | mShouldQuit
int | mWindowSizeX
int | mWindowSizeY
bool | mFullScreen
float | mFrameRate
bool | mResizable
bool | mPowerManagement
std::string | mTitle

## Constructor & Destructor Documentation

cinder::app::App::Settings::Settings | ( |  | ) | `[protected]`

Reimplemented in cinder::app::AppBasic::Settings, cinder::app::AppCinderView::Settings, cinder::app::AppCocoaTouch::Settings, and cinder::app::AppScreenSaver::Settings.

virtual cinder::app::App::Settings::~Settings | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

bool cinder::app::App::Settings::isPrepared | ( |  | ) | const

void cinder::app::App::Settings::setWindowSize | ( | int | aWindowSizeX,
|  | int | aWindowSizeY |
| ) |  |  |

width and height of the window when applicable

void cinder::app::App::Settings::setFrameRate | ( | float | aFrameRate | ) |

The maximum frameRate the update/draw loop will execute at, specified in frames per second. Default value is 30 FPS.

void cinder::app::App::Settings::enablePowerManagement | ( | bool | aPowerManagement = `true` | ) |

a value of true allows screensavers or the system's power management to hide the app. Default value is `false`.

bool cinder::app::App::Settings::isFullScreen | ( |  | ) | const

is the application set to run at fullscreen

int cinder::app::App::Settings::getWindowWidth | ( |  | ) | const

width of the application's window specified in pixels

int cinder::app::App::Settings::getWindowHeight | ( |  | ) | const

height of the application's window specified in pixels

Vec2i cinder::app::App::Settings::getWindowSize | ( |  | ) | const

width and height of the application's window specified in pixels

Area cinder::app::App::Settings::getWindowBounds | ( |  | ) | const

the size of the application's window specified in pixels.

Returns:
  cinder::Area( 0, 0, width in pixels, height in pixels )

void cinder::app::App::Settings::setTitle | ( | const std::string & | title | ) |

the title of the app reflected in ways particular to the app type and platform (such as its Window or menu)

float cinder::app::App::Settings::getFrameRate | ( |  | ) | const

maximum frameRate of the application specified in frames per second

bool cinder::app::App::Settings::isResizable | ( |  | ) | const

are users allowed to resize the window

bool cinder::app::App::Settings::getPowerManagement | ( |  | ) | const

is power management enabled, allowing screensavers and the system's power management to hide the application

## Member Data Documentation

bool cinder::app::App::Settings::mShouldQuit`[protected]`

int cinder::app::App::Settings::mWindowSizeX`[protected]`

int cinder::app::App::Settings::mWindowSizeY`[protected]`

bool cinder::app::App::Settings::mFullScreen`[protected]`

float cinder::app::App::Settings::mFrameRate`[protected]`

bool cinder::app::App::Settings::mResizable`[protected]`

bool cinder::app::App::Settings::mPowerManagement`[protected]`

std::string cinder::app::App::Settings::mTitle`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/app/App.h
- src/cinder/app/App.cpp